summaryrefslogtreecommitdiff
path: root/tools/maint/init_potfiles.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/maint/init_potfiles.sh')
-rwxr-xr-xtools/maint/init_potfiles.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/tools/maint/init_potfiles.sh b/tools/maint/init_potfiles.sh
new file mode 100755
index 0000000..e92c120
--- /dev/null
+++ b/tools/maint/init_potfiles.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+function keep_i18n() {
+
+ while read file;
+ do
+
+ if [ "$file" != "i18n.h" ]; then
+
+ grep -q '_(' $file
+
+ status=$?
+
+ if [ "$status" -eq 0 ]; then
+ echo $file
+ fi
+
+ fi
+
+ done
+
+}
+
+mkdir -p po
+
+find . -type f -name '*.[ch]' | keep_i18n | sort > po/POTFILES.in